- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::LinearResampler Struct Reference

`#include <OgreImageResampler.h>`

List of all members.

## Static Public Member Functions
static void | scale (const PixelBox &src, const PixelBox &dst)

## Detailed Description

Definition at line 96 of file OgreImageResampler.h.

## Member Function Documentation

static void Ogre::LinearResampler::scale | ( | const PixelBox & | src,
|  | const PixelBox & | dst |
| ) |  |  | `[static]`

Definition at line 97 of file OgreImageResampler.h.

References Ogre::Box::back, Ogre::Box::bottom, Ogre::PixelBox::data, Ogre::PixelBox::format, Ogre::Box::front, Ogre::Box::getDepth(), Ogre::Box::getHeight(), Ogre::PixelUtil::getNumElemBytes(), Ogre::PixelBox::getRowSkip(), Ogre::PixelBox::getSliceSkip(), Ogre::Box::getWidth(), Ogre::Box::left, Ogre::PixelUtil::packColour(), Ogre::Box::right, Ogre::Box::top, and UNPACK.

Referenced by Ogre::LinearResampler_Byte< channels >::scale().

The documentation for this struct was generated from the following file:

- OgreImageResampler.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:55:21 2008